All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.storedprocess
Class StoredProcessServiceFactory

    com.sas.services.storedprocess.StoredProcessServiceFactory

All Implemented Interfaces:
  ServiceFactoryInterface

    public class StoredProcessServiceFactory

Factory used to manufacture a stored process service.

The manufactured service will implement the following interfaces:

- `RemoteServiceInterface`
- `StoredProcessServiceInterface`

The service created by this factory depends upon another service to provide the following capability:

- `LoggingServiceInterface`

Since:
  1.0
See Also:
  `ServiceFactoryInterface`

Constructor Summary
`StoredProcessServiceFactory()` Constructs a default instance.

Method Summary
`static StoredProcessServiceInterface` | `createService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)` Gets a Stored Process service initialized with the specified configuration.
`RemoteServiceInterface` | `getService(ServiceConfigurationInterface serviceConfiguration, DiscoveryServiceInterface discoveryService)` Gets a Stored Process service initialized with the specified configuration.
`StoredProcessServiceInterface` | `getStoredProcessService()` Obtain a service instance that is for standalone use of the Stored Process service.

Methods inherited from class com.sas.services.AbstractServiceFactory
`getService, getServiceProfile, isSingletonFactory`

Constructor Detail

### StoredProcessServiceFactory

    public StoredProcessServiceFactory()

  Constructs a default instance.

Method Detail

### getStoredProcessService

    public final StoredProcessServiceInterface getStoredProcessService()

  Obtain a service instance that is for standalone use of the Stored Process service.

  Returns:
    a standalone instance of the Stored Process service.

### getService

    public final RemoteServiceInterface getService(ServiceConfigurationInterface serviceConfiguration,
                                                   DiscoveryServiceInterface discoveryService)
                                            throws ServiceException

  Gets a Stored Process service initialized with the specified configuration.

  Specified by:
    `getService` in interface `ServiceFactoryInterface`
  Specified by:
    `getService` in class `AbstractServiceFactory`
  Parameters:
    `serviceConfiguration` - Service configuration
    `discoveryService` - Discovery service to which the service will be registered.
  Returns:
    A service that implements `StoredProcessServiceInterface`.
  Throws:
    `ServiceException` - if unable to get a Stored Process service.
  See Also:
    `AbstractServiceFactory.getService(ServiceConfigurationInterface)`

### createService

    public static final StoredProcessServiceInterface createService(ServiceConfigurationInterface serviceConfiguration,
                                                                    DiscoveryServiceInterface discoveryService)
                                                             throws ServiceException

  Gets a Stored Process service initialized with the specified configuration.

  Parameters:
    `serviceConfiguration` - Service configuration
    `discoveryService` - Discovery service to which the service will be registered.
  Returns:
    A Stored Process Service.
  Throws:
    `ServiceException` - if unable to get a Stored Process service.

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.